DECLARE @InsertedSales table (SalesGUID uniqueidentifier)
IF OBJECTPROPERTY(object_id('Sales'), 'IsUserTable') = 1
	BEGIN
		INSERT Sales (SalesPersonGUID, CustomerGUID, ProductGUID, Quantity)
		OUTPUT INSERTED.SalesGUID INTO @InsertedSales 
			SELECT
				(SELECT EmployeeGUID 
					FROM Employees 
					WHERE ISNULL(NULLIF((datepart(ms, (getdate()))) %24, 0), 1) = EmployeeID),
				(SELECT CustomerGUID 
					FROM Customers 
					WHERE ISNULL(NULLIF((datepart(ms, (getdate()))) *10000 %19760, 0), 1) = CustomerID),
				(SELECT ProductGUID 
					FROM Products 
					WHERE ISNULL(NULLIF((datepart(ms, (getdate()))) %505, 0), 1) = ProductID),
				ISNULL(NULLIF((datepart(ms, getdate())), 0), 1)

		SELECT SalesGUID AS 'SalesGUID Added' FROM @InsertedSales
	END
ELSE
	BEGIN
		RAISERROR('The Sales object does not exist.', 16, 1)
	END